Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class AddContentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Long>
          org.jbpm.services.task.commands.AddContentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Long>, Command<Long>

    public class AddContentCommand

extends TaskCommand<Long>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, userId`

Constructor Summary
`AddContentCommand()`
`AddContentCommand(Long taskId, Content content)`
`AddContentCommand(Long taskId, Map<String,Object> params)`

Method Summary
`Long` | `execute(org.kie.internal.command.Context cntxt)`
`Content` | `getContent()`
`JaxbContent` | `getJaxbContent()`
`Long` | `getTaskId()`
`void` | `setContent(Content content)`
`void` | `setJaxbContent(JaxbContent jaxbContent)`
`void` | `setTaskId(Long taskId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddContentCommand

    public AddContentCommand()

### AddContentCommand

    public AddContentCommand(Long taskId,
                             Content content)

### AddContentCommand

    public AddContentCommand(Long taskId,
                             Map<String,Object> params)

Method Detail

### execute

    public Long execute(org.kie.internal.command.Context cntxt)

### getTaskId

    public Long getTaskId()

  Overrides:
    `getTaskId` in class `TaskCommand<Long>`

### setTaskId

    public void setTaskId(Long taskId)

  Overrides:
    `setTaskId` in class `TaskCommand<Long>`

### getContent

    public Content getContent()

### setContent

    public void setContent(Content content)

### getJaxbContent

    public JaxbContent getJaxbContent()

### setJaxbContent

    public void setJaxbContent(JaxbContent jaxbContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.